Skip to content

Select theme

Unassign Layer Or Delete Directory

DELETE
/{organization}/projects/{projectId}/layer-directory/{nodeId}
curl --request DELETE \
--url https://app.civillo.com/api/v1/example/projects/1/layer-directory/example \
--header 'Authorization: Bearer <token>'

Delete a directory or layer assignment at the given node id. This will recursively delete all node children.

organization
required
string

The organization nickname

projectId
required
integer

The project id

nodeId
required
string

The layer directory or layer assignment node id that you want to delete

Successful response

Bad Request

Unauthorized

Forbidden